%global realname ebloom
%global upstream basho
%global git_tag 7dd7c51
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	1.1.1
Release:	1%{?dist}
Summary:	A NIF wrapper around a basic bloom filter
Group:		Development/Languages
# c_src/bloom_filter.hpp and c_src/serialyzer.hpp are licensed under CPL
# and the rest of the sources are licensed under ASL 2.0
License:	ASL 2.0 and CPL
URL:		https://github.com/basho/ebloom
# wget --no-check-certificate --content-disposition https://github.com/basho/ebloom/tarball/1.1.1
Source0:	%{upstream}-%{realname}-%{version}-0-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-rebar
# erlang:load_nif/2
Requires:	erlang-erts >= R13B-03
Requires:	erlang-kernel
Requires:	erlang-stdlib


%description
A NIF wrapper around a basic bloom filter.


%prep
%setup -q -n %{upstream}-%{realname}-eebdbc8


%build
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 -D ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 -D priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit


%files
%defattr(-,root,root,-)
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.1-1
- Ver. 1.1.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-4
- Pass proper cxxflags to the C++ compiler (rhbz #669722) too

* Fri Jan 21 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-3
- Pass proper cflags to the C compiler (rhbz #669722)

* Tue Jan 11 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-2
- Filtered out NIF library from Provides

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-1
- Initial build

